import request from '@/libs/request';

/**
 * @description 添加修改加载租车商品
 * @param {Object} param data {Object} 传值参数
 */
export function rentAdd(data) {
  return request({
    url: `marketing/rent/${data.id}`,
    method: 'post',
    data,
  });
}

/**
 * @description 查看商品详情
 * @param {string} param id {string} 传值参数
 */
export function rentDetail(id) {
  return request({
    url: `marketing/rent/${id}`,
    method: 'get',
    data,
  });
}

/**
 * @description  删除租车商品接口
  @param {string} param id {string} 传值参数
 */
export function rentDel(id) {
  return request({
    url: `marketing/rent/${id}`,
    method: 'delete',
    data,
  });
}
/**
 * @description  获取商品列表
  @param {string} param id {string} 传值参数
 */
export function rentList(data) {
  return request({
    url: `marketing/rent`,
    method: 'get',
    data,
  });
}

/**
 * @description  出资人列表
  @param {Object} param id {Object} 传值参数
 */
export function sponsorList(data) {
  return request({
    url: `sponsor/list`,
    method: 'get',
    data,
  });
}

/**
 * @description  出资人信息
  @param {Number} param id {Number} 传值参数
 */
export function sponsorDetail(id) {
  return request({
    url: `sponsor/${id}`,
    method: 'get',
    data,
  });
}




